PendingTransactionTableModel (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.gui
Class PendingTransactionTableModel

    java.lang.Object
      bitronix.tm.gui.TransactionTableModel
          bitronix.tm.gui.PendingTransactionTableModel

All Implemented Interfaces:
  TableModel

    public class PendingTransactionTableModel

extends TransactionTableModel

Author:
  lorban

Field Summary

Fields inherited from class bitronix.tm.gui.TransactionTableModel
`tLogs`

Constructor Summary
`PendingTransactionTableModel(File filename)`

Method Summary
`boolean` | `acceptLog(TransactionLogRecord tlog)`
`void` | `addTableModelListener(TableModelListener l)`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int columnIndex)`
`TransactionLogRecord` | `getRow(int row)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isCellEditable(int rowIndex, int columnIndex)`
`protected void` | `readFullTransactionLog(File filename)`
`void` | `removeTableModelListener(TableModelListener l)`
`void` | `setValueAt(Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PendingTransactionTableModel

    public PendingTransactionTableModel(File filename)

Method Detail

### getColumnCount

    public int getColumnCount()

### getRowCount

    public int getRowCount()

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

### getColumnClass

    public Class getColumnClass(int columnIndex)

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

### setValueAt

    public void setValueAt(Object aValue,
                           int rowIndex,
                           int columnIndex)

### getColumnName

    public String getColumnName(int columnIndex)

### addTableModelListener

    public void addTableModelListener(TableModelListener l)

### removeTableModelListener

    public void removeTableModelListener(TableModelListener l)

### readFullTransactionLog

    protected void readFullTransactionLog(File filename)
                                   throws IOException

  Overrides:
    `readFullTransactionLog` in class `TransactionTableModel`
  Throws:
    `IOException`

### acceptLog

    public boolean acceptLog(TransactionLogRecord tlog)

  Specified by:
    `acceptLog` in class `TransactionTableModel`

### getRow

    public TransactionLogRecord getRow(int row)

  Specified by:
    `getRow` in class `TransactionTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.